Bug 135593 - Updates causes XML pretty print to stop working in Mozilla
Updates causes XML pretty print to stop working in Mozilla
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 13:58 EDT by PvR
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 14:21:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
working strace (23.93 KB, text/plain)
2004-10-13 14:00 EDT, PvR
no flags Details
non working strace (13.10 KB, text/plain)
2004-10-13 14:01 EDT, PvR
no flags Details
UNZIPPED working strace (314.78 KB, text/plain)
2004-10-13 14:04 EDT, PvR
no flags Details
UNZIPPED nonworking strace (128.08 KB, text/plain)
2004-10-13 14:05 EDT, PvR
no flags Details

  None (edit)
Description PvR 2004-10-13 13:58:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
It seems that some of the updates to FC2 breaks XML pretty printing in
Mozilla/Firefox somewhere. Instead of the pretty print output I'm just
seeing the CDATA sections printed without any formatting (just one
long line).

Machines that were upgraded from FC1 and user accounts were created
and mozilla was used before FC2 (or updates?) keeps on working but
trying mozilla as root for instance that were never used before (as in
logged in through X) does not work anymore. I have seen this on three
machines now, mixtures of new installations and upgrades from FC1. 

From this I would deduce it's something in gconf or some user setting
that is being affected by the upgrades (something that wasn't
populated previously?). 

Version-Release number of selected component (if applicable):
mozilla 1.7.3-20 firefox 1.0PR

How reproducible:
Always

Steps to Reproduce:
1. Install FC2
2. Apply all updates
3. Start Mozilla/Firefox and load a XML file
    

Additional info:

I am attaching straces from a working firefox and a non working
firefox (from two different machines). I looked over them but did not
really see anything but maybe it can help somebody.
Comment 1 PvR 2004-10-13 14:00:56 EDT
Created attachment 105150 [details]
working strace
Comment 2 PvR 2004-10-13 14:01:45 EDT
Created attachment 105151 [details]
non working strace
Comment 3 PvR 2004-10-13 14:04:10 EDT
Created attachment 105152 [details]
UNZIPPED working strace
Comment 4 PvR 2004-10-13 14:05:34 EDT
Created attachment 105153 [details]
UNZIPPED nonworking strace
Comment 5 PvR 2004-10-19 18:05:24 EDT
Any ideas on this ?
Comment 6 Matthew Miller 2005-04-26 11:37:24 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 PvR 2005-04-26 13:53:36 EDT
The problem no longer exists after an upgrade to FC3. 

Note You need to log in before you can comment on or make changes to this bug.